%This Example for using users m-function Optimization_subroutine.m was created automatically by PSG Toolbox.

%Function description:

%minimize
%pr_pen(parameter_alpha,L(matrix_scenarios_large_label1)-L(matrix_scenarios_large_label0))
%Constraint: ==   parameter_bound
%linear(matrix_orthogonal)
%Solver: stages=30, init_point  = point_logistic_regression_large
%
%Input variables:
%
%Inputs                                  PSG Type    PSG Object                         Location in Problem Statement                                                                Class
%matrix_scenarios_large_label1_data      data        matrix_scenarios_large_label1      pr_pen(parameter_alpha,L(matrix_scenarios_large_label1)-L(matrix_scenarios_large_label0))    double
%matrix_scenarios_large_label1_vars      vars        matrix_scenarios_large_label1      pr_pen(parameter_alpha,L(matrix_scenarios_large_label1)-L(matrix_scenarios_large_label0))    cell
%matrix_scenarios_large_label0_data      data        matrix_scenarios_large_label0      pr_pen(parameter_alpha,L(matrix_scenarios_large_label1)-L(matrix_scenarios_large_label0))    double
%matrix_scenarios_large_label0_vars      vars        matrix_scenarios_large_label0      pr_pen(parameter_alpha,L(matrix_scenarios_large_label1)-L(matrix_scenarios_large_label0))    cell
%matrix_orthogonal_data                  data        matrix_orthogonal                  linear(matrix_orthogonal)                                                                    double
%matrix_orthogonal_vars                  vars        matrix_orthogonal                  linear(matrix_orthogonal)                                                                    cell
%point_logistic_regression_large_data    data        point_logistic_regression_large    Solver: stages=30, init_point  = point_logistic_regression_large                             double
%point_logistic_regression_large_vars    vars        point_logistic_regression_large    Solver: stages=30, init_point  = point_logistic_regression_large                             cell
%parameter_alpha_data                    data        parameter_alpha                    pr_pen(parameter_alpha,L(matrix_scenarios_large_label1)-L(matrix_scenarios_large_label0))    double
%parameter_bound_data                    data        parameter_bound                    Constraint: ==   parameter_bound                                                             double
%
%Output variables:
%
%solution_str = string with solution of problem;
%outargstruc_arr = array of output PSG data structures;


%Load data from mat-file:
load('D:\American Optimal Decisions\PSG\MATLAB_Stan\ready\Classification by Maximizing Area Under ROC Curve\data_problem_diff_of_two__Losses_Linear_Large\Optimization_subroutine_data.mat')

%Save variables from mat-file to Workspace:
tbpsg_export_to_workspace(toolboxstruc_arr)

%Run users m-function Optimization_subroutine:

[solution_str,outargstruc_arr] = Optimization_subroutine(matrix_scenarios_large_label1_data,matrix_scenarios_large_label1_vars,matrix_scenarios_large_label0_data,matrix_scenarios_large_label0_vars,matrix_orthogonal_data,matrix_orthogonal_vars,point_logistic_regression_large_data,point_logistic_regression_large_vars,parameter_alpha_data,parameter_bound_data);

%Extract Objective:
val_obj = tbpsg_objective(solution_str, outargstruc_arr);

disp(' ');
disp('Objective = ');
disp(val_obj);

%Extract optimal solution:
point_data = tbpsg_optimal_point_data(solution_str, outargstruc_arr);

disp(' ');
disp('Optimal point = ');
disp(point_data);

%Extract structure containing PSG solution reports:
output_structure = tbpsg_solution_struct(solution_str, outargstruc_arr);

disp(' ');
disp('Structure with PSG solution = ');
disp(output_structure);

%Uncomment the following lines to extract solutions details:

%output = tbpsg_isoptimal(solution_str, outargstruc_arr);

%output = tbpsg_function_data(solution_str, outargstruc_arr);

%output = tbpsg_function_names(solution_str, outargstruc_arr);

%output = tbpsg_time(solution_str, outargstruc_arr);

%output = tbpsg_optimal_point_vars(solution_str, outargstruc_arr);

%output = tbpsg_constraints_vars(solution_str, outargstruc_arr);

%output = tbpsg_slack_data(solution_str, outargstruc_arr);

%output = tbpsg_dual_data(solution_str, outargstruc_arr);

%output = tbpsg_vector_constraint_data(solution_str, outargstruc_arr);

%output = tbpsg_vector_dual_data(solution_str, outargstruc_arr);

%output = tbpsg_vector_slack_data(solution_str, outargstruc_arr);

%output = tbpsg_matrix_data(solution_str, outargstruc_arr);

%output = tbpsg_matrix_vars(solution_str, outargstruc_arr);

%output = tbpsg_vector_data(solution_str, outargstruc_arr);

%=======================================================================|
%American Optimal Decisions, Inc. Copyright                             |
%Copyright American Optimal Decisions, Inc. 2007-2016.                 |
%American Optimal Decisions (AOD) retains copyrights to this material.  |
%                                                                       |
%Permission to reproduce this document and to prepare derivative works  |
%from this document for internal use is granted, provided the copyright |
%and No Warranty  statements are included with all reproductions       |
%and derivative works.                                                  |
%                                                                       |
%For information regarding external or commercial use of copyrighted    |
%materials owned by AOD, contact AOD at support@aorda.com.              |
%=======================================================================|
 
